//TESTE DE BANCADA DIMMER EMB007 COM OPS150                                          
//Desenvolvido por Leonardo Giannine
//OPLLER
//Versao 1.0 
//Modificado em 19/02/2024 

//Definição dos pinos do controlador
//Saidas digiais
#define pin_Y9 26
#define pin_Y10 25

//Entradas digitais
#define pin_X9 23
#define pin_X10 35

unsigned long PAR_Delay = 4000;
unsigned long TMR_Delay = 0;

void setup() {
  //Inicializa comunicações
  Serial.begin(115200); // (USB)

  //Inicializa hardware
  pinMode(pin_X9, INPUT);
  pinMode(pin_X10, INPUT);

  pinMode(pin_Y9, OUTPUT);
  pinMode(pin_Y10, OUTPUT);

  digitalWrite(pin_Y9, LOW);
  digitalWrite(pin_Y10, LOW);
}

void loop() {
  
  if (digitalRead(pin_X10) == 1){
    delayMicroseconds(PAR_Delay);
    digitalWrite(pin_Y10, HIGH);
     if (millis() > (TMR_Delay + 5000)){
       PAR_Delay = PAR_Delay - 1000;
       TMR_Delay = millis();
     }
    
     if (PAR_Delay == 0){
       PAR_Delay = 4000;
     }
  }
  if (digitalRead(pin_X10) == 0){
    digitalWrite(pin_Y10, LOW);
  }
}
